summaryrefslogtreecommitdiffstats
path: root/third_party/heimdal/autogen.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 17:20:00 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 17:20:00 +0000
commit8daa83a594a2e98f39d764422bfbdbc62c9efd44 (patch)
tree4099e8021376c7d8c05bdf8503093d80e9c7bad0 /third_party/heimdal/autogen.sh
parentInitial commit. (diff)
downloadsamba-8daa83a594a2e98f39d764422bfbdbc62c9efd44.tar.xz
samba-8daa83a594a2e98f39d764422bfbdbc62c9efd44.zip
Adding upstream version 2:4.20.0+dfsg.upstream/2%4.20.0+dfsg
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'third_party/heimdal/autogen.sh')
-rwxr-xr-xthird_party/heimdal/autogen.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/third_party/heimdal/autogen.sh b/third_party/heimdal/autogen.sh
new file mode 100755
index 0000000..0817912
--- /dev/null
+++ b/third_party/heimdal/autogen.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+#
+# to really generate all files you need to run "make distcheck" in a
+# object tree, but this will do if you have all parts of the required
+# tool-chain installed
+set -e
+autoreconf -f -i || { echo "autoreconf failed: $?"; exit 1; }
+find . \( -name '*-private.h' -o -name '*-protos.h' \) | xargs rm -f
+perl -MJSON -e 'print foo;' || \
+ { echo "you must install JSON perl module (cpan install JSON)"; exit 1; }
+#
+# This is to build the DISTFILES into the disttree for heimdal-lorikeet
+#
+./configure || exit 1
+make distdir-in-tree || exit 1
+make distclean || exit 1
+exit 0